Bug 567109 - Review Request: libunicap - Library to access different kinds of (video) capture devices
Summary: Review Request: libunicap - Library to access different kinds of (video) capt...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Janssen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 567110
TreeView+ depends on / blocked
 
Reported: 2010-02-21 17:32 UTC by Robert Scheck
Modified: 2010-03-18 22:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-25 20:10:24 UTC
thomasj: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2010-02-21 17:32:09 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/libunicap.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/libunicap-0.9.8-1.src.rpm
Description:
Unicap provides a uniform interface to video capture devices. It allows
applications to use any supported video capture device via a single API.
The unicap library offers a high level of hardware abstraction while
maintaining maximum performance. Zero copy capture of video buffers is
possible for devices supporting it allowing fast video capture with low
CPU usage even on low-speed architectures.


Please note, that this a re-review request, because the unicap package was
splitted up by upstream into libunicap, libucil and libunicapgtk. Ensure to
follow http://fedoraproject.org/wiki/Package_Renaming_Process when reviewing
this package. Note that only all three libraries together replace the unicap
package, that's why there's no provides, just obsoletes.

Comment 1 Thomas Janssen 2010-02-23 19:38:00 UTC
Ok, this is a re-review request due to upstream name change.

OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
48b97308fc8bb949f4ac34cbeaf1dbec  libunicap-0.9.8.tar.gz
NN - Package needs ExcludeArch
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
NN - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.

OK - Headers/static libs in -devel subpackage.
OK - Spec has needed ldconfig in post and postun
OK - .so files in -devel subpackage.
OK - .pc files in -devel subpackage/requires pkgconfig
OK - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed.

NN - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
XX - No rpmlint output.
Some warnings about spelling errors. Can be ignored.
One warning about obsolete-not-provided unicap-devel
Due to the nature of that rename and split into 3 packages ignorable.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs (tested with rawhide)
OK - Should have sane scriptlets.
OK - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version

Issues:
None.

I have checked for obsoletes and provides. I had a chat in IRC with the maintainer and this seems to be the sane way.

APPROVED

Comment 2 Robert Scheck 2010-02-25 13:56:14 UTC
Thank you for reviewing the package.


New Package CVS Request
=======================
Package Name: libunicap
Short Description: Library to access different kinds of (video) capture devices
Owners: robert
Branches: EL-5 F-11 F-12 F-13
InitialCC:

Comment 3 Jason Tibbitts 2010-02-25 17:48:33 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-02-25 20:05:34 UTC
libunicap-0.9.8-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libunicap-0.9.8-1.fc13

Comment 5 Fedora Update System 2010-02-25 20:05:58 UTC
libunicap-0.9.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libunicap-0.9.8-1.fc12

Comment 6 Fedora Update System 2010-02-25 20:06:24 UTC
libunicap-0.9.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libunicap-0.9.8-1.fc11

Comment 7 Fedora Update System 2010-02-25 20:06:52 UTC
libunicap-0.9.8-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libunicap-0.9.8-1.el5

Comment 8 Fedora Update System 2010-03-14 13:36:46 UTC
libunicap-0.9.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-03-16 00:53:21 UTC
libunicap-0.9.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-16 00:54:58 UTC
libunicap-0.9.8-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-03-18 22:36:20 UTC
libunicap-0.9.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.